classification
Title: Error in What's new 3.2rc3 with sysconfig.get_config_var('SO')
Type: Stage: resolved
Components: Documentation Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: chaica_, docs@python, eric.araujo, georg.brandl, rhettinger, sandro.tosi
Priority: high Keywords: patch

Created on 2011-02-17 19:22 by chaica_, last changed 2011-02-24 16:48 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
fix-11234.diff eric.araujo, 2011-02-18 22:32
Messages (9)
msg128747 - (view) Author: Carl Chenet (chaica_) Date: 2011-02-17 19:22
Hi,

It seems a mistake could be in the "What's new in Python 3.2" (rc3) documentation in the sysconfig.get_config_var('SO') example :

>>> sysconfig.get_config_var('SO')       # find the full filename extension
'cpython-32mu.so'

On my system (Debian GNU/Linux, Python3.2rc3), the same command gives :
 
>>> sysconfig.get_config_var('SO')
'.cpython-32m.so'

A dot at the beginning of the string could be missing in the example of the current documentation. This dot also appears in the example of the PEP 3149.

Regards,
Carl Chenet
msg128748 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-02-17 19:26
On Thu, Feb 17, 2011 at 20:22, Carl Chenet <report@bugs.python.org> wrote:
>>>> sysconfig.get_config_var('SO')
> '.cpython-32m.so'
>
> A dot at the beginning of the string could be missing in the example of the current documentation. This dot also appears in the example of the PEP 3149.

and also in a freshly built python from last checkout.
msg128818 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-02-18 22:27
I'll look at this later tonight.

Eric, no marking "accepted" for tracker items without a patch.  "Accepted" means that a patch has been reviewed and is okay to apply.
msg128819 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-02-18 22:32
In this case, I thought that the suggested addition of one dot in one place was equivalent to a patch, and maybe more useful (we don’t know if you have local edits in your file that would make the diff fuzzy).  Anyway, I’m attaching the same fix in a diff form, for your convenience.
msg128830 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-02-19 05:40
Antoine, I'm traveling and don't have immediate access to my svn checkout.  Can you fix this please?
msg128850 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-02-19 15:40
Well, it's up to Georg to decide if it goes before 3.2. But I don't see the hurry: the online docs are rebuilt daily anyway.
msg128869 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-02-19 18:15
The online docs are rebuilt, but people may read the version bundled with a tarball or installer and wonder at the discrepancy, if they notice it.
msg128874 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-02-19 18:38
Éric, go ahead and fix this please.
msg128875 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-02-19 18:47
Done in r88442.  I found a missing closing quote and fixed it too.
History
Date User Action Args
2011-02-24 16:48:53eric.araujosetstatus: open -> closed
nosy: georg.brandl, rhettinger, eric.araujo, chaica_, sandro.tosi, docs@python
resolution: fixed
stage: resolved
2011-02-19 18:47:14eric.araujosetnosy: georg.brandl, rhettinger, eric.araujo, chaica_, sandro.tosi, docs@python
messages: + msg128875
2011-02-19 18:38:37rhettingersetassignee: georg.brandl -> eric.araujo
messages: + msg128874
nosy: georg.brandl, rhettinger, eric.araujo, chaica_, sandro.tosi, docs@python
2011-02-19 18:18:48pitrousetnosy: - pitrou
2011-02-19 18:15:20eric.araujosetnosy: georg.brandl, rhettinger, pitrou, eric.araujo, chaica_, sandro.tosi, docs@python
messages: + msg128869
title: Possible error in What's new Python3.2(rc3) documentation (sysconfig.get_config_var) -> Error in What's new 3.2rc3 with sysconfig.get_config_var('SO')
2011-02-19 15:40:27pitrousetassignee: pitrou -> georg.brandl
messages: + msg128850
nosy: georg.brandl, rhettinger, pitrou, eric.araujo, chaica_, sandro.tosi, docs@python
2011-02-19 05:40:25rhettingersetassignee: rhettinger -> pitrou

messages: + msg128830
nosy: + pitrou
2011-02-18 22:32:41eric.araujosetfiles: + fix-11234.diff

nosy: + eric.araujo
messages: + msg128819

keywords: + patch
2011-02-18 22:27:49rhettingersetpriority: release blocker -> high

messages: + msg128818
resolution: accepted -> (no value)
nosy: georg.brandl, rhettinger, chaica_, sandro.tosi, docs@python
2011-02-18 21:19:09eric.araujosetpriority: normal -> release blocker
assignee: docs@python -> rhettinger

resolution: accepted
nosy: + georg.brandl
2011-02-17 19:27:46ezio.melottisetnosy: + rhettinger
2011-02-17 19:26:27sandro.tosisetnosy: + sandro.tosi
messages: + msg128748
2011-02-17 19:22:34chaica_create